const express = require('express');
const router = express.Router();
const featureController = require('../controllers/featureController');
const { authenticateJWT } = require('../middleware/authMiddleware');


// 기본 기능 관리
router.get('/', authenticateJWT, featureController.getFeatures);

// 기능 구매 관련 API
router.post('/available', authenticateJWT, featureController.getAvailableFeatures);
router.post('/active', authenticateJWT, featureController.getActiveFeatures);
router.post('/payments', authenticateJWT, featureController.getFeaturePayments);
router.post('/purchase', authenticateJWT, featureController.purchaseFeature);

module.exports = router;
